/*	Copyright Alex Hornby 1994/1995. All rights reserved.
 	See file README for details
*/

#include "control.h"

Control::Control()
{
	for(int i=0;i<=FIRE4;i++)
		last[i]=FALSE;
}

Control::Control(const Control &c)
{
	for(int i=0;i<=FIRE4;i++)
		last[i]=FALSE;
	copy(c);
}

Control&
Control::operator=(const Control &c)
{
	copy(c);
	return *this;
}

bool
Control::test (action a)
{
	return last[a];
}

void
Control::copy(const Control& c)
{
	for(int i=0;i<=FIRE4;i++)
		last[i]=c.last[i];
}
